MetalPopupMenuSeparatorUI (Java SE 15 & JDK 15)
Description: declaration: module: java.desktop, package: javax.swing.plaf.metal, class: MetalPopupMenuSeparatorUI
Keywords: javax.swing.plaf.metal.MetalPopupMenuSeparatorUI class

Module java.desktop
Package javax.swing.plaf.metal

# Class MetalPopupMenuSeparatorUI

java.lang.Object
javax.swing.plaf.ComponentUI
javax.swing.plaf.SeparatorUI
javax.swing.plaf.basic.BasicSeparatorUI
javax.swing.plaf.metal.MetalSeparatorUI
javax.swing.plaf.metal.MetalPopupMenuSeparatorUI

    public class MetalPopupMenuSeparatorUI
    extends MetalSeparatorUI

A Metal L&F implementation of PopupMenuSeparatorUI. This implementation is a "combined" view/controller.

- ## Field Summary

  ### Fields declared in class javax.swing.plaf.basic.BasicSeparatorUI

  `highlight, shadow`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `MetalPopupMenuSeparatorUI()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static ComponentUI` | `createUI​(JComponent c)` | Constructs a new `MetalPopupMenuSeparatorUI` instance.

  ### Methods declared in class javax.swing.plaf.basic.BasicSeparatorUI

  `installDefaults, installListeners, uninstallDefaults, uninstallListeners`

  ### Methods declared in class javax.swing.plaf.ComponentUI

  `contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, getPreferredSize, installUI, paint, uninstallUI, update`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MetalPopupMenuSeparatorUI

    public MetalPopupMenuSeparatorUI()

- ## Method Details

  - ### createUI

    public static ComponentUI createUI​(JComponent c)
    Constructs a new `MetalPopupMenuSeparatorUI` instance.
    Parameters:
      `c` - a component
    Returns:
      a new `MetalPopupMenuSeparatorUI` instance